## org.eclipse.datatools.modelbase.sql.datatypes
Interface ArrayDataType

All Superinterfaces:
  CollectionDataType, ConstructedDataType, DataType, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  SQLQueryArrayDataType

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.datatypes.impl.ArrayDataTypeImpl, SQLQueryArrayDataTypeImpl

    public interface ArrayDataType

extends CollectionDataType

A representation of the model object 'Array Data Type'. Reference: 5WD-02-Foundation-2002-12 4.10.1 Arrays

The following features are supported:

- `Max Cardinality`

See Also:
  `SQLDataTypesPackage.getArrayDataType()`

Method Summary
`int` `getMaxCardinality()` Returns the value of the 'Max Cardinality' attribute.
`void` `setMaxCardinality(int value)` Sets the value of the '`Max Cardinality`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.CollectionDataType
`getElement, getElementType, setElementType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getMaxCardinality

    int getMaxCardinality()

  Returns the value of the 'Max Cardinality' attribute.

  If the meaning of the 'Max Cardinality' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Max Cardinality' attribute.
  See Also:
    `setMaxCardinality(int)`, `SQLDataTypesPackage.getArrayDataType_MaxCardinality()`

### setMaxCardinality

    void setMaxCardinality(int value)

  Sets the value of the '`Max Cardinality`' attribute.

  Parameters:
    `value` - the new value of the 'Max Cardinality' attribute.
  See Also:
    `getMaxCardinality()`